%define name kmag
%define version 0.3
%define release 5mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:  	Kde Magnifier
Group: 		Graphical desktop/KDE
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file kdesupport-devel
BuildRequires:  m4 texinfo gettext libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:  db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel rpm-build


%description
K magnifier 0.3 is a magnifier for KDE easy to use and useful for
people with very bad sight.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug

%make

%install
%makeinstall

install -d $RPM_BUILD_ROOT%_menudir

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/kmag" \
title="Kmag" \
icon="%{name}.png" \
longtitle="A frontend to xmag" \
needs="kde" \
section="Amusement/Toys"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun 
%clean_menus

%files 
%defattr(-,root,root)
%_bindir/*
%_menudir/*
#
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png 
#
%_datadir/applnk/Applications/*.desktop 
#
%dir %_datadir/apps/kmag/
%_datadir/apps/kmag/*.rc
#
%doc %_docdir/HTML/en/kmag/*.html
%doc %_docdir/HTML/en/kmag/.anchors
%doc %_docdir/HTML/en/kmag/*.docbook

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3-5mdk
- Move KDE menu entriy in %%_datadir/applnk
- Fix and use optimizations
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Fix typo in menu entry

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- REbuild with qt-2.3

* Sat Feb 24 2001 Daouda Lo <daouda@mandrakesoft.com> 0.3-1mdk
- first mdk package 
